## p8-platform 2.0.1+dfsg1

=== CMakeLists.txt ===
project(p8-platform)

cmake_minimum_required(VERSION 2.8.9)
enable_language(CXX)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Threads REQUIRED)
include(UseMultiArch.cmake)
include(CheckAtomic.cmake)

set(p8-platform_NAME p8-platform)
set(p8-platform_DESCRIPTION "Pulse-Eight platform support library")
set(p8-platform_VERSION_MAJOR 2)
set(p8-platform_VERSION_MINOR 0)
set(p8-platform_VERSION_PATCH 1)

set(CMAKE_POSITION_INDEPENDENT_CODE on)

if(WIN32)
  set(PLAT_SOURCES src/windows/dlfcn-win32.cpp
                   src/windows/os-threads.cpp)
endif()

set(p8-platform_INCLUDE_DIRS "${CMAKE_INSTALL_PREFIX}/include/p8-platform")
IF(WIN32)
  LIST(APPEND p8-platform_INCLUDE_DIRS "${CMAKE_INSTALL_PREFIX}/include/p8-platform/windows")
ENDIF(WIN32)
set(p8-platform_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})

if(NOT ${CORE_SYSTEM_NAME} STREQUAL "")
  if(${CORE_SYSTEM_NAME} STREQUAL "osx" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
    list(APPEND p8-platform_LIBRARIES "-framework CoreVideo -framework IOKit")
  endif()
endif()

set(SOURCES src/util/StringUtils.cpp)

add_library(p8-platform ${SOURCES} ${PLAT_SOURCES})
target_link_libraries(p8-platform ${p8-platform_LIBRARIES})
set_target_properties(p8-platform PROPERTIES VERSION ${p8-platform_VERSION_MAJOR}.${p8-platform_VERSION_MINOR}.${p8-platform_VERSION_PATCH}
                                              SOVERSION ${p8-platform_VERSION_MAJOR}.0)

install(TARGETS p8-platform DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES src/os.h DESTINATION include/p8-platform)
IF(WIN32)
  INSTALL(FILES src/windows/dlfcn-win32.h
                src/windows/os-socket.h
                src/windows/os-threads.h
                src/windows/os-types.h
          DESTINATION include/p8-platform/windows)
ELSE(WIN32)
  install(FILES src/posix/os-socket.h
                src/posix/os-threads.h
                src/posix/os-types.h
          DESTINATION include/p8-platform/posix)
ENDIF(WIN32)
install(FILES src/sockets/cdevsocket.h
              src/sockets/socket.h
              src/sockets/tcp.h
        DESTINATION include/p8-platform/sockets)
install(FILES src/threads/atomics.h
              src/threads/mutex.h
              src/threads/threads.h
        DESTINATION include/p8-platform/threads)
install(FILES src/util/atomic.h
              src/util/buffer.h
              src/util/StringUtils.h
              src/util/StdString.h
              src/util/timeutils.h
              src/util/util.h
        DESTINATION include/p8-platform/util)

IF(NOT WIN32)
  configure_file(p8-platform.pc.in p8-platform.pc @ONLY)
  install(FILES ${CMAKE_BINARY_DIR}/p8-platform.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
ENDIF(NOT WIN32)

# config mode
configure_file (p8-platform-config.cmake.in
                p8-platform-config.cmake @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/p8-platform-config.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/p8-platform)

=== debian/changelog ===
p8-platform (2.0.1+dfsg1-2) unstable; urgency=medium

  * Update .symbols file for GCC 6 (Closes: #831095)
  * Bump policy version

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 01 Aug 2016 21:44:40 +0200

p8-platform (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Changing package names to adapt to new upstream name: p8-platform
  * Drop obsoleted patch renaming library to libcec-platform
  * Bump SO version to 2
  * Stop using system's fstrcmp, the functionality is dropped upstream
  * Refresh atomics and pkgconfig patches
  * Fix SO versioning
  * Update symbols file
  * Drop fstrcmp-related files from debian/copyright
  * Reformat debian/control using cme fix
  * Use HTTPS for Vcs browsing URL

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 22 Feb 2016 22:04:26 +0100

libcec-platform (1.0.10+dfsg1-8) unstable; urgency=medium

  * Always use system's builtin atomic operations
  * Add symbols appearing on arm64

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 23 Dec 2015 21:43:04 +0100

libcec-platform (1.0.10+dfsg1-7) unstable; urgency=medium

  * Change name to libcec-platform in pkg-config, too
  * Fix library path in pkgconfig configuration file

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 20 Aug 2015 12:00:40 +0200

libcec-platform (1.0.10+dfsg1-6) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 06 Aug 2015 18:00:13 +0200

libcec-platform (1.0.10+dfsg1-5) experimental; urgency=medium

  * Add versioned g++ build dependency to help GCC 5 transition
  * Update symbols file for GCC 5 transition
  * Rename library package for the GCC 5 transition

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 03 Aug 2015 23:00:11 +0200

libcec-platform (1.0.10+dfsg1-4) unstable; urgency=medium

  * Make -dev package depend on libfstrcmp-dev

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 30 Jul 2015 10:53:03 +0200

libcec-platform (1.0.10+dfsg1-2) unstable; urgency=medium

  * Update symbols file based on i386 build
  * Update symbols file based on arm64 build

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 29 Jul 2015 00:28:11 +0200

libcec-platform (1.0.10+dfsg1-1) unstable; urgency=medium

  * Remove changelog.in
  * Update debian/copyright
  * Add watch file
  * Covert package to being non-native
  * Bump compat level to 9
  * Bump standards version
  * Use system's fstrcmp()
  * Rename library to cec-platform to use a less generic name
  * Add misc:Depends to libcec-platform1
  * Upload to Debian (Closes: #793329)
  * Use more conventional calling of cmake in debian/rules
  * Move pkgconfig and cmake config file to multiarch location
  * Don't duplicate Section in libcec-platform1
  * Add homepage
  * Add symbols file

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 22 Jul 2015 20:51:47 +0200

platform (1.0.10-1~trusty) trusty; urgency=medium

  * fixed: posix socket return value for connect

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Tue, 30 Jun 2015 10:53:06 +0100

platform (1.0.9-1~trusty) trusty; urgency=medium

  * fixed: add missing stdio.h include in windows/os-socket.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Wed, 13 May 2015 10:01:43 +0100

platform (1.0.8-1~trusty) trusty; urgency=medium

  * added: cdevsocket.h character device socket
  * fixed: guards for #defines on OS X and iOS for values already defined in
    CFPlugInCOM.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Mon, 11 May 2015 09:33:17 +0100

platform (1.0.7-1~trusty) trusty; urgency=medium

  * fixed: include on OS X

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 08 May 2015 22:15:23 +0100

platform (1.0.6-1~trusty) trusty; urgency=medium

  * fixed: add include path and link the threads lib
  * (re-)added: public Reset() function in CEvent
  * sync UseMultiArch.cmake

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Thu, 07 May 2015 21:20:00 +0100

platform (1.0.5-1~trusty) trusty; urgency=medium

  * fixed: missing #include <string> in socket.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Mon, 04 May 2015 01:29:00 +0100

platform (1.0.4-1~trusty) trusty; urgency=medium

  * proper platform.pc.in fix

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Sun, 03 May 2015 21:56:00 +0100

platform (1.0.3-1~trusty) trusty; urgency=medium

  * platform.pc.in fix

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 01 May 2015 14:38:00 +0100

platform (1.0.2-1~trusty) trusty; urgency=medium

  * Build fixes

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 01 May 2015 01:38:00 +0100

platform (1.0.0-1~trusty) trusty; urgency=medium

  * Initial release

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Thu, 12 Mar 2015 13:35:07 +0100

=== debian/control ===
Source: p8-platform
Maintainer: Lars Op den Kamp <lars.opdenkamp@pulse-eight.com>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/p8-platform.git
Vcs-Git: git://anonscm.debian.org/collab-maint/p8-platform.git
Homepage: https://github.com/Pulse-Eight/platform

Package: libp8-platform-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libp8-platform2 (= ${binary:Version}),
         ${misc:Depends},
         libfstrcmp-dev,
         g++ (>= 4:5.2)
Provides: libp8-platform-dev
Description: Pulse-Eight's platform support library -- development files
 Platform support library of Pulse-Eight. It includes C++ wrappers for
 platform-specific atomic operations, threading, sockets and also
 string utilities.
 .
 This package provides the necessary files needed for development.

Package: libp8-platform2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libp8-platform2v4
Provides: libp8-platform
Replaces: libp8-platform2v4
Description: Pulse-Eight's platform support library
 Platform support library of Pulse-Eight. It includes C++ wrappers for
 platform-specific atomic operations, threading, sockets and also
 string utilities.

## p8-platform 2.1.0.1%2Bdfsg1

=== debian/changelog ===
p8-platform (2.1.0.1+dfsg1-4) unstable; urgency=medium

  * Orphaning the package

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Balint Reczey ]
  * Update symbols to mark the ones disappearing in LTO builds as optional
    (Closes: #1015576)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 20 Jul 2022 17:56:05 +0200

p8-platform (2.1.0.1+dfsg1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Helmut Grohne ]
  * Drop the g++ dependency added for the GCC5 transition (Closes: #942198)

  [ Balint Reczey ]
  * debian/gitlab-ci.yml: Add simple Salsa CI configuration
  * Bump compat level to 12
  * Update symbols

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 12 Oct 2019 22:58:10 +0200

p8-platform (2.1.0.1+dfsg1-2) unstable; urgency=medium

  * Update symbols to build with GCC8 (Closes: #897831)
  * Move packaging to Salsa
  * Use my @ubuntu.com email address in Maintainer field
  * Change priority from extra to optional conforming to Policy change

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 29 Jul 2018 12:13:31 +0800

p8-platform (2.1.0.1+dfsg1-1) unstable; urgency=medium

  * Fix FTBFS on kfreebsd and hurd (Closes: 837447)
  * Drop trailing slash from excluded file's name
  * Imported Upstream version 2.1.0.1+dfsg1
  * Refresh patches
  * Use secure URI in Vcs-Git

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 17 Dec 2016 10:15:49 +0100

## p8-platform 2.1.0.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 set(p8-platform_NAME p8-platform)
 set(p8-platform_DESCRIPTION "Pulse-Eight platform support library")
 set(p8-platform_VERSION_MAJOR 2)
-set(p8-platform_VERSION_MINOR 0)
-set(p8-platform_VERSION_PATCH 1)
+set(p8-platform_VERSION_MINOR 1)
+set(p8-platform_VERSION_PATCH 0)
 
 set(CMAKE_POSITION_INDEPENDENT_CODE on)
 
@@ -30,7 +30,7 @@
 
 if(NOT ${CORE_SYSTEM_NAME} STREQUAL "")
   if(${CORE_SYSTEM_NAME} STREQUAL "osx" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
-    list(APPEND p8-platform_LIBRARIES "-framework CoreVideo -framework IOKit")
+    list(APPEND p8-platform_LIBRARIES "-framework CoreVideo")
   endif()
 endif()
 
@@ -39,7 +39,7 @@
 add_library(p8-platform ${SOURCES} ${PLAT_SOURCES})
 target_link_libraries(p8-platform ${p8-platform_LIBRARIES})
 set_target_properties(p8-platform PROPERTIES VERSION ${p8-platform_VERSION_MAJOR}.${p8-platform_VERSION_MINOR}.${p8-platform_VERSION_PATCH}
-                                              SOVERSION ${p8-platform_VERSION_MAJOR}.0)
+                                              SOVERSION ${p8-platform_VERSION_MAJOR})
 
 install(TARGETS p8-platform DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES src/os.h DESTINATION include/p8-platform)
@@ -74,12 +74,12 @@
 IF(NOT WIN32)
   configure_file(p8-platform.pc.in p8-platform.pc @ONLY)
   install(FILES ${CMAKE_BINARY_DIR}/p8-platform.pc
-          DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
+          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 ENDIF(NOT WIN32)
 
 # config mode
 configure_file (p8-platform-config.cmake.in
                 p8-platform-config.cmake @ONLY)
 install(FILES ${CMAKE_BINARY_DIR}/p8-platform-config.cmake
-        DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/p8-platform)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/p8-platform)

=== debian/changelog ===
p8-platform (2.1.0.1+dfsg1-5) unstable; urgency=medium

  * QA upload.
  * Update .symbols control file.
  * Fix building with CMake 4.  (Closes: #1113383)
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Sep 2025 03:40:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: p8-platform
-Maintainer: Lars Op den Kamp <lars.opdenkamp@pulse-eight.com>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
-Priority: extra
-Build-Depends: debhelper (>= 9),
-               cmake (>= 2.8.9)
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               cmake
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/p8-platform.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/p8-platform.git
+Vcs-Browser: https://salsa.debian.org/debian/p8-platform
+Vcs-Git: https://salsa.debian.org/debian/p8-platform.git -b master
 Homepage: https://github.com/Pulse-Eight/platform
 
 Package: libp8-platform-dev
@@ -17,7 +16,6 @@
 Depends: libp8-platform2 (= ${binary:Version}),
          ${misc:Depends},
          libfstrcmp-dev,
-         g++ (>= 4:5.2)
 Provides: libp8-platform-dev
 Description: Pulse-Eight's platform support library -- development files
  Platform support library of Pulse-Eight. It includes C++ wrappers for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
	 https://github.com/Pulse-Eight/platform/tags .*/(?:v||p8-platform[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
